%define name    php-clamav
%define version 5.0.4
%define rversion 0.11

%define modname clamav
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A41_%{modname}.ini

Summary:	Provides a interface to ClamAV for PHP
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
URL:		http://phpclamavlib.org/
License:	PHP License
Source0:	php-clamavlib-%{rversion}.tar.bz2
BuildRequires:	php-devel >= 5.0.4
BuildRequires:	clamav-devel
Requires:	clamav
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PHP ClamaAV Lib is a PHP extension that allows to incorporate
virus scanning features in your PHP scripts. It uses the Clam
Antivirus API (libclamav) for virus scanning.

%prep

%setup -q -n php-clamavlib-%{rversion}

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[clamav]
clamav.dbpath="%{_localstatedir}/clamav"
clamav.maxreclevel=0
clamav.maxfiles=0
clamav.archivememlim=0
clamav.maxfilesize=0
clamav.maxratio=0
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CHANGES CREDITS EXPERIMENTAL INSTALL clamav.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Thu Aug 18 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.11-1mdk
- initial Mandriva package
